<?php
// Se define el salto de línea.
	define ("salto","<br>\n");
/* Se contabiliza el número total de elementos de la matriz
"archivos", cuyo nombre se corresponde con los campos enviados
desde el formulario. Dado que, dicho formulario tiene cuatro
campos de archivo pertenecientes a la misma matriz, ese es el
número de elementos que esta contiene. Eso es independiente de
que en los campos se haya introducido un valor o no. Los campos
existen, aunque no tengan contenido.*/
	$totalDeArchivos=count($HTTP_POST_FILES["archivos"]["tmp_name"]);
	echo ("El total de campos de archivo es de: ".$totalDeArchivos.salto);
	echo ("Sin embargo, puede que no todos contengan un archivo.".salto);
	echo (salto.salto);
/* Se recorren los cuatro campos, comprobando su propiedad
name. Si no existe quiere decir que el campo no tiene
contenido, es decir, que no se ha subido ningún archivo
en ese campo.*/
	echo ("A continuación se muestra la propiedad \"name\" (nombre)".salto);
	echo ("de cada uno de los archivos subidos.".salto);
	for ($contador=0; $contador<$totalDeArchivos; $contador++) {
		echo ("<b>ARCHIVO $contador:</b> ");
		if ($HTTP_POST_FILES["archivos"]["name"][$contador]==""){
			echo ("NO EXISTE".salto);
		} else {
			echo ("\"".$HTTP_POST_FILES["archivos"]["name"][$contador]."\"".salto);
		}
	}
?>
